package com.seer.teach.common.data.permission.rule;

import net.sf.jsqlparser.expression.Alias;
import net.sf.jsqlparser.expression.Expression;

import java.util.Set;


public interface DataPermissionRule {

    Set<String> getTableNames();

    Expression getExpression(String tableName, Alias tableAlias);

    DataPermissionCondition getCondition();
}